<?php
/**
 * Compatibility functions and classes for code used for Customers add-ons.
 */

class GA_Integration extends \Simple_Giveaways\GA_Integration {}

if ( ! function_exists( 'sg_get_giveaway' ) ) {
	/**
	 * For compatibility reasons with Customer's add-ons.
	 */
	function sg_get_giveaway( $post ) {
		_deprecated_function( 'sg_get_giveaway', '2.36.2', 'giveasap_get_giveaway' );
		return giveasap_get_giveaway( $post );
	}
}

if ( ! function_exists( 'sg_get_subscriber' ) ) {
	/**
	 * For back-compatibility for a few given add-ons to customers.
	 *
	 * @param integer|object $entry Entry ID or the Entry Object.
	 * @param integer        $giveaway_id Giveaway ID.
	 *
	 * @return \Simple_Giveaways\SG_Subscriber
	 */
	function sg_get_subscriber( $entry, $giveaway_id = 0 ) {
		_deprecated_function( 'sg_get_subscriber', '2.36.2', 'giveasap_get_subscriber' );
		return giveasap_get_subscriber( $entry, $giveaway_id );
	}
}


if ( ! function_exists( 'sg_get_rules_text' ) ) {
	/**
	 * For back-compatibility for a few given add-ons to customers.
	 *
	 * @param \Simple_Giveaways\SG_Giveaway|integer $giveaway
	 *
	 * @return string
	 */
	function sg_get_rules_text( $giveaway ) {
		_deprecated_function( 'sg_get_rules_text', '2.36.2', 'giveasap_get_rules_text' );
		return giveasap_get_rules_text( $giveaway );
	}
}




